> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List integration triggers

> List visible automation triggers grouped by provider.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/integrations/triggers
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/integrations/triggers:
    get:
      tags:
        - Integrations
      summary: List integration triggers
      description: List visible automation triggers grouped by provider.
      operationId: listIntegrationTriggers
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            pattern: ^\d+$
            maxLength: 10
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
      responses:
        '200':
          description: List integration triggers
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        integrationType:
                          type: string
                          enum:
                            - github
                            - gitlab
                            - bitbucket
                            - atlassian
                            - linear
                            - slack
                            - sentry
                            - aws
                            - agent
                            - notion
                            - postgres
                            - bigquery
                            - azure
                            - ms-teams
                            - snyk
                            - hubspot
                            - openconnect
                            - tailscale
                        triggers:
                          type: array
                          items:
                            type: object
                            properties:
                              description:
                                type: string
                                maxLength: 4096
                              displayName:
                                type: string
                                maxLength: 500
                              filters:
                                type: object
                                properties:
                                  properties:
                                    type: object
                                    propertyNames:
                                      type: string
                                      minLength: 1
                                      maxLength: 200
                                    additionalProperties:
                                      oneOf:
                                        - type: object
                                          properties:
                                            description:
                                              type: string
                                              maxLength: 2000
                                            type:
                                              type: string
                                              const: boolean
                                            default:
                                              type: boolean
                                          required:
                                            - type
                                          additionalProperties: false
                                        - type: object
                                          properties:
                                            description:
                                              type: string
                                              maxLength: 2000
                                            enum:
                                              type: array
                                              items:
                                                type: string
                                                maxLength: 500
                                              maxItems: 100
                                            type:
                                              type: string
                                              const: string
                                          required:
                                            - type
                                          additionalProperties: false
                                        - type: object
                                          properties:
                                            description:
                                              type: string
                                              maxLength: 2000
                                            items:
                                              type: object
                                              properties:
                                                enum:
                                                  type: array
                                                  items:
                                                    type: string
                                                    maxLength: 500
                                                  maxItems: 100
                                                type:
                                                  type: string
                                                  const: string
                                              required:
                                                - type
                                              additionalProperties: false
                                            type:
                                              type: string
                                              const: array
                                          required:
                                            - items
                                            - type
                                          additionalProperties: false
                                required:
                                  - properties
                                additionalProperties: false
                              hasFilterOptions:
                                type: boolean
                              name:
                                type: string
                                minLength: 1
                                maxLength: 500
                            required:
                              - description
                              - displayName
                              - hasFilterOptions
                              - name
                            additionalProperties: false
                          maxItems: 100
                      required:
                        - integrationType
                        - triggers
                      additionalProperties: false
                    maxItems: 100
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    pattern: ^\d+$
                    maxLength: 10
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Invalid request or missing organization information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Provider authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller cannot perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Integration not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Integration conflict or unsupported operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Integration operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Integration provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '504':
          description: Integration provider operation timed out
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.